Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrBetween

    java.lang.Object
      org.modeshape.graph.query.model.Between
          org.modeshape.jcr.query.qom.JcrBetween

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable, Between, JcrConstraint

    public class JcrBetween

extends Between
implements JcrConstraint, Between

Implementation of the 'between' constraint for the Graph API and that is an extension to JCR Query Object Model.

See Also:
  Serialized Form

Constructor Summary
`JcrBetween(JcrDynamicOperand operand, JcrStaticOperand lowerBound, JcrStaticOperand upperBound, boolean includeLowerBound, boolean includeUpperBound)` Create a constraint that the values of the supplied dynamic operand are between the lower and upper bounds, specifying whether the boundary values are to be included in the range.

Method Summary
`StaticOperand` | `getLowerBound()` Get the lower bound operand.
`DynamicOperand` | `getOperand()` Get the dynamic operand specification.
`StaticOperand` | `getUpperBound()` Get the upper bound operand.
`JcrStaticOperand` | `lowerBound()` Get the lower bound operand.
`JcrDynamicOperand` | `operand()` Get the dynamic operand specification.
`JcrStaticOperand` | `upperBound()` Get the upper bound operand.

Methods inherited from class org.modeshape.graph.query.model.Between
`accept, equals, hashCode, isLowerBoundIncluded, isUpperBoundIncluded, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Methods inherited from interface org.modeshape.jcr.api.query.qom.Between
`isLowerBoundIncluded, isUpperBoundIncluded`

Constructor Detail

### JcrBetween

    public JcrBetween(JcrDynamicOperand operand,
                      JcrStaticOperand lowerBound,
                      JcrStaticOperand upperBound,
                      boolean includeLowerBound,
                      boolean includeUpperBound)

  Create a constraint that the values of the supplied dynamic operand are between the lower and upper bounds, specifying whether the boundary values are to be included in the range.

  Parameters:
    `operand` - the dynamic operand describing the values that are to be constrained
    `lowerBound` - the lower bound of the range
    `upperBound` - the upper bound of the range
    `includeLowerBound` - true if the lower boundary value is not be included
    `includeUpperBound` - true if the upper boundary value is not be included
  Throws:
    `IllegalArgumentException` - if any of the arguments are null

Method Detail

### operand

    public JcrDynamicOperand operand()

  Get the dynamic operand specification.

  Overrides:
    `operand` in class `Between`
  Returns:
    the dynamic operand; never null
  See Also:
    `Between.operand()`

### lowerBound

    public JcrStaticOperand lowerBound()

  Get the lower bound operand.

  Overrides:
    `lowerBound` in class `Between`
  Returns:
    the lower bound; never null
  See Also:
    `Between.lowerBound()`

### upperBound

    public JcrStaticOperand upperBound()

  Get the upper bound operand.

  Overrides:
    `upperBound` in class `Between`
  Returns:
    the upper bound; never null
  See Also:
    `Between.upperBound()`

### getLowerBound

    public StaticOperand getLowerBound()

  Get the lower bound operand.

  Specified by:
    `getLowerBound` in interface `Between`
  Returns:
    the lower bound; never null
  See Also:
    `Between.getLowerBound()`

### getUpperBound

    public StaticOperand getUpperBound()

  Get the upper bound operand.

  Specified by:
    `getUpperBound` in interface `Between`
  Returns:
    the upper bound; never null
  See Also:
    `Between.getUpperBound()`

### getOperand

    public DynamicOperand getOperand()

  Get the dynamic operand specification.

  Specified by:
    `getOperand` in interface `Between`
  Returns:
    the dynamic operand; never null
  See Also:
    `Between.getOperand()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.